# Delete one product image

Deletes product's image. If removeReference parameter is not present
or set to false and if image is referenced

as variant image, then image won't be deleted and response will have
status code 409 Conflict.

If removeReference is set to true, then this reference will be removed
with the image.

Endpoint: DELETE /api/products/{guid}/images/{gallery}/{imageName}
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `guid` (string, required)
    Product's guid
    Example: "92d77e60-7481-11e8-8216-002590dad85e"

  - `gallery` (string, required)
    Gallery name (shop or shop360)
    Example: "shop"

  - `imageName` (string, required)
    Filename
    Example: "52.png"

## Query parameters:

  - `removeReference` (boolean)
    If product's variant image reference should be removed. Default
false.
    Example: true

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object,null, required)

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


